using System;
using System.Collections.Generic;

class Person
{
    public string name;
    public int age;

    public Person(string name, int age)
    {
        this.name = name;
        this.age = age;
    }
}

class Animal
{
    public string name;
    public int age;

    public Animal(string name, int age)
    {
        this.name = name;
        this.age = age;
    }

    public override string ToString()
    {
        return $"{name},{age}";
    }
}

class Zookeeper : Person
{
    public Animal favoriteAnimal;
    public string specialization;

    public Zookeeper(string name, int age, Animal favoriteAnimal, string specialization)
        : base(name, age)
    {
        this.favoriteAnimal = favoriteAnimal;
        this.specialization = specialization;
    }

    public override string ToString()
    {
        return $"{name},{age},{specialization},{favoriteAnimal}";
    }
}

class Zoo
{
    public string name;
    public string location;
    public List<Zookeeper> zookeepers;

    public Zoo(string name, string location)
    {
        this.name = name;
        this.location = location;
        this.zookeepers = new List<Zookeeper>();
    }

    public void AddZookeeper(Zookeeper zookeeper)
    {
        zookeepers.Add(zookeeper);
    }

    public void ViewZoo()
    {
        Console.WriteLine($"Zoo: {name} - {location}");
        foreach (var zookeeper in zookeepers)
        {
            Console.WriteLine(zookeeper);
        }
    }
}

class Program
{
    static void Main()
    {
        Console.WriteLine("Enter Zoo name:");
        string zooName = Console.ReadLine();
        Console.WriteLine("Enter Zoo location:");
        string zooLocation = Console.ReadLine();

        Zoo zoo = new Zoo(zooName, zooLocation);

        char option;
        do
        {
            Console.WriteLine("[a]dd [v]iew [q]uit");
            option = Console.ReadLine()[0];

            switch (option)
            {
                case 'a':
                    Console.WriteLine("Enter zookeeper name:");
                    string zkName = Console.ReadLine();
                    Console.WriteLine("Enter zookeeper age:");
                    int zkAge = int.Parse(Console.ReadLine());
                    Console.WriteLine("Enter specialization:");
                    string specialization = Console.ReadLine();
                    Console.WriteLine("Enter favorite animal name:");
                    string favAnimalName = Console.ReadLine();
                    Console.WriteLine("Enter favorite animal age:");
                    int favAnimalAge = int.Parse(Console.ReadLine());

                    Animal favoriteAnimal = new Animal(favAnimalName, favAnimalAge);
                    Zookeeper zookeeper = new Zookeeper(zkName, zkAge, favoriteAnimal, specialization);

                    zoo.AddZookeeper(zookeeper);
                    break;

                case 'v':
                    zoo.ViewZoo();
                    break;

                case 'q':
                    Console.WriteLine("Exiting the program.");
                    break;

                default:
                    Console.WriteLine("Invalid option. Try again.");
                    break;
            }
        } while (option != 'q');
    }
}

