import java.util.ArrayList;
import java.util.Scanner;

class Animal {
    String name;
    int age;

    public Animal(String name, int age) {
        this.name = name;
        this.age = age;
    }

    @Override
    public String toString() {
        return name + "," + age;
    }
}

class Person {
    String name;
    int age;

    public Person(String name, int age) {
        this.name = name;
        this.age = age;
    }

    @Override
    public String toString() {
        return name + "," + age;
    }
}

class Zookeeper extends Person {
    String specialization;
    Animal favoriteAnimal;

    public Zookeeper(String name, int age, String specialization, Animal favoriteAnimal) {
        super(name, age);
        this.specialization = specialization;
        this.favoriteAnimal = favoriteAnimal;
    }

    @Override
    public String toString() {
        return super.toString() + "," + specialization + "," + favoriteAnimal.toString();
    }
}

class Zoo {
    String name;
    String location;
    ArrayList<Zookeeper> zookeepers;

    public Zoo(String name, String location) {
        this.name = name;
        this.location = location;
        this.zookeepers = new ArrayList<>();
    }

    public void addZookeeper(Zookeeper zookeeper) {
        zookeepers.add(zookeeper);
    }

    public void displayInfo() {
        System.out.println("Zoo: " + name + " - " + location);
        for (Zookeeper zookeeper : zookeepers) {
            System.out.println(zookeeper.toString());
        }
    }
}

class ZooApp {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        System.out.println("Enter Zoo name:");
        String zooName = scanner.nextLine();
        System.out.println("Enter Zoo location:");
        String zooLocation = scanner.nextLine();

        Zoo zoo = new Zoo(zooName, zooLocation);

        while (true) {
            System.out.println("[a]dd [v]iew [q]uit");
            String option = scanner.nextLine();

            switch (option.toLowerCase()) {
                case "a":
                    System.out.println("Enter zookeeper name:");
                    String zkName = scanner.nextLine();
                    System.out.println("Enter zookeeper age:");
                    int zkAge = Integer.parseInt(scanner.nextLine());
                    System.out.println("Enter specialization:");
                    String specialization = scanner.nextLine();
                    System.out.println("Enter favorite animal name:");
                    String favAnimalName = scanner.nextLine();
                    System.out.println("Enter favorite animal age:");
                    int favAnimalAge = Integer.parseInt(scanner.nextLine());

                    Animal favAnimal = new Animal(favAnimalName, favAnimalAge);
                    Zookeeper zookeeper = new Zookeeper(zkName, zkAge, specialization, favAnimal);
                    zoo.addZookeeper(zookeeper);
                    break;

                case "v":
                    zoo.displayInfo();
                    break;

                case "q":
                    scanner.close();
                    System.exit(0);
                    break;

                default:
                    System.out.println("Invalid option. Try again.");
            }
        }
    }
}
